=== debian/changelog ===
libqtxdg (3.3.1.2-2+deepin) UNRELEASED; urgency=medium

  * Make sure hicolor is searched before dash fallbacks
  * Dash fallbacks can cause all sorts of troubles. Although the inherited
    themes were searched *before* them, the code first ignored `hicolor` among
    the inherited themes and then searched it *after* dash fallbacks. That's
    corrected by the current patch.
  * Fixes #260. That report is also an example of how annoying dash fallbacks
    could be if they aren't used *only* as the last resort.

 -- Tsic <liuhenga@uniontech.com>  Thu, 10 Feb 2022 11:24:07 +0800
