=== debian/changelog ===
libqtxdg (3.3.1.3-1+deepin) UNRELEASED; urgency=medium

  * fix: icon size multiplied by ratio twice

 -- lichangze <lichangze@uniontech.com>  Mon, 03 Apr 2023 15:57:32 +0800
