=== src/qtxdg/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+
 set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)
 
 set(libqtxdg_PUBLIC_H_FILES
@@ -11,6 +13,7 @@
     xdgautostart.h
     xdgmacros.h
     xdgmimetype.h
+    xdgmimeapps.h
 )
 
 set(libqtxdg_PUBLIC_CLASSES
@@ -23,18 +26,22 @@
     XmlHelper
     XdgAutoStart
     XdgMimeType
+    XdgMimeApps
 )
 
 set(libqtxdg_PRIVATE_H_FILES
+    qtxdglogging.h
     xdgmenuapplinkprocessor.h
     xdgmenulayoutprocessor.h
     xdgmenu_p.h
     xdgmenureader.h
     xdgmenurules.h
     xdgdesktopfile_p.h
+    xdgmimeapps_p.h
 )
 
 set(libqtxdg_CPP_FILES
+    qtxdglogging.cpp
     xdgaction.cpp
     xdgdesktopfile.cpp
     xdgdirs.cpp
@@ -48,18 +55,32 @@
     xmlhelper.cpp
     xdgautostart.cpp
     xdgmimetype.cpp
+    xdgmimeapps.cpp
+    xdgmimeappsbackendinterface.cpp
+    xdgmimeappsglibbackend.cpp
 )
+
+QT5_ADD_DBUS_INTERFACE(libqtxdg_DBUS_INTERFACE_SRCS
+    dbus/org.freedesktop.Application.xml
+    application_interface
+)
+
+set_property(SOURCE ${libqtxdg_DBUS_INTERFACE_SRCS} PROPERTY SKIP_AUTOGEN ON)
 
 add_library(${QTXDGX_LIBRARY_NAME} SHARED
     ${libqtxdg_PUBLIC_H_FILES}
     ${libqtxdg_PRIVATE_H_FILES}
     ${libqtxdg_CPP_FILES}
+    ${libqtxdg_DBUS_INTERFACE_SRCS}
 )
 
 target_link_libraries(${QTXDGX_LIBRARY_NAME}
     PUBLIC
         ${QTX_LIBRARIES}
         ${QTXDGX_ICONLOADER_LIBRARY_NAME}
+        ${GLIB_LIBRARIES}
+        ${GLIB_GOBJECT_LIBRARIES}
+        ${GLIB_GIO_LIBRARIES}
 )
 
 set_target_properties(${QTXDGX_LIBRARY_NAME} PROPERTIES
@@ -82,6 +103,8 @@
         "$<BUILD_INTERFACE:${QTXDGX_INTREE_INCLUDEDIR}>"
     PRIVATE
         ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
+        ${GLIB_INCLUDE_DIRS}
+        ${GLIB_GIO_UNIX_INCLUDE_DIR}
 )
 
 # create the portble headers
