=== debian/changelog ===
libqtxdg (3.4.0-1build2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 20:02:54 +0100

libqtxdg (3.4.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:26 +0100

libqtxdg (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0
  * Switched to gbp
  * Bumped Standards to 4.4.1, no changes needed
  * Removed Dbus patch, fixed upstream
  * Added new symbols
  * Fixed tools packaging and descriptions 
  * Added qtxdg-dev-tools to libqtxdg recommends

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Oct 2019 18:28:10 +0100
