=== debian/control ===
Source: libqtxdg
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libmagic-dev,
               libqt5svg5-dev,
               lxqt-build-tools (>= 0.6.0),
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
Homepage: https://github.com/lxqt/libqtxdg

Package: libqt5xdg3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         file,
         libfile-mimeinfo-perl,
         libglib2.0-bin,
         shared-mime-info
Recommends: qttranslations5-l10n
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdg
Description: Implementation of the XDG Specifications for Qt (shared lib)
 This library implements functions of the XDG Specifications in Qt.  It is part
 of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdgiconloader3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gtk-update-icon-cache
Pre-Depends: ${misc:Pre-Depends}
Provides: libqt5xdgiconloader
Description: Implementation of the XDG Iconloader for Qt (shared lib)
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides the shared library.

Package: libqt5xdg-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libmagic-dev,
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader-dev (= ${binary:Version})
Recommends: qtxdg-dev-tools (= ${source:Version})
Description: Development files for libqtxdg
 This library implements functions of the XDG Specifications in Qt. It is part
 of LXQt.
 .
 This package provides development files.

Package: libqt5xdgiconloader-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5svg5-dev,
         libqt5xdgiconloader3 (= ${binary:Version})
Description: Development files for libqtxdgiconloader
 This library implements the backend to load icons which are handled according
 to the XDG Icon Theme Specification in Qt. It is part of LXQt.
 .
 This package provides development files.

Package: qtxdg-dev-tools
Architecture: any
Section: devel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqt5xdg3 (= ${binary:Version}),
         libqt5xdgiconloader3 (= ${binary:Version})
Description: Tools for QtXdg
 This package provide some tools for qtxdg:
 * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
 * qtxdg-iconfinder - Find icons the QtXdg way
 * qtxdg-mat - Mime app tool for QtXdg
