## libqtxdg 3.5.0

=== debian/changelog ===
libqtxdg (3.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
    - Update symbols from amd64 build logs.
  * Bump Standards-version to 4.5.0, no changes needed.
  * debhelper -> debhelper-compat.
  * Run wrap-and-sort.
  * Update binary-without-manpage overrides.
  * Fix possible-unindented-list-in-extended-description.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:01:42 -0500

libqtxdg (3.4.0-1ubuntu1) focal; urgency=medium

  [ Alf Gaida ]
  * New upstream version 3.4.0
  * Switched to gbp
  * Bumped Standards to 4.4.1, no changes needed
  * Added new symbols
  * Fixed tools packaging and descriptions
  * Added qtxdg-dev-tools to libqtxdg recommends

  [ apt-ghetto ]
  * Take the package from salsa.debian.org
  * Update it for ci/unstable
  * Update debian/copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Oct 2019 18:28:10 +0100

libqtxdg (3.3.1-0ubuntu2) disco; urgency=medium

  * No change rebuild against qtbase-abi-5-12-2.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 27 Mar 2019 14:40:02 +0000

libqtxdg (3.3.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Add lxqt-build-tools to build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 08 Mar 2019 23:13:56 -0600

libqtxdg (3.3.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 21:47:42 -0600

libqtxdg (3.2.0-2ubuntu1) cosmic; urgency=medium

  * Bump Standards-version to 4.1.5, no changes needed.
  * Run wrap-and-sort.
  * Fix inability to drag a menu item to the desktop.
  * Following Debian, add a runtime dependency of libglib2.0-bin to libqtxdg3
    (Closes: #902054, #902055).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 13 Jul 2018 23:02:19 -0500

libqtxdg (3.2.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update copyright file.
  * Remove "~" from debhelper depends.
  * Update the watch file to point to the new upstream location.
  * Remove trailing whitespace from rules.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 21:18:58 -0500
