=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/libqtxdg/releases .*/libqtxdg-([\d\.]+)\.tar\.xz
