=== src/tools/mat/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
     defappmatcommand.cpp
     openmatcommand.cpp
     mimetypematcommand.cpp
+    defwebbrowsermatcommand.cpp
+    defemailclientmatcommand.cpp
+    deffilemanagermatcommand.cpp
 
     qtxdg-mat.cpp
 )
