=== debian/changelog ===
libqtxdg (3.7.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 17 Mar 2022 18:37:20 +0300

libqtxdg (3.7.1-0ubuntu1) impish; urgency=medium

  * New upstream version 3.7.1
  * Bump Standards-Version to 4.5.1
  * Bump build dependency lxqt-build-tools to 0.9.0
  * Update and fix debian/copyright
  * Update symbols
    - Demangle symbols
    - Remove unused symbols
    - Add Build-Depends-Package metadata field
  * Update debian/qtxdg-dev-tools.lintian-overrides

 -- apt-ghetto <apt-ghetto@protonmail.com>  Sat, 07 Aug 2021 16:19:54 +0200

libqtxdg (3.6.0-1ubuntu3) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:58:55 +0000

libqtxdg (3.6.0-1ubuntu2) hirsute; urgency=medium

  * Fixed s390x symbols errors.
  * fixed previous changelog too.

 -- Raman Sarda <theloudspeaker@disroot.org>  Fri, 12 Feb 2021 02:28:10 +0530

libqtxdg (3.6.0-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.
  * Updated debhelper-compat to 13.
  * Updated symbols file.

 -- Raman Sarda <theloudspeaker@disroot.org>  Fri, 12 Feb 2021 00:25:21 +0530

libqtxdg (3.5.0-0ubuntu3) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 14:09:29 +0300

libqtxdg (3.5.0-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 15:40:52 +0300
