## libqtxdg 3.9.1

=== debian/changelog ===
libqtxdg (3.9.1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Aug 2022 18:43:56 -0700

libqtxdg (3.9.1-2) experimental; urgency=medium

  * Bumped Standards-Version to 4.6.1, no change required.
  * Upstreamed symbols file for libqt5xdgiconloader3 from Ubuntu.
  * Changed "binary-without-manpage" to "no-manual-page" in
    qtxdg-dev-tools.lintian-overrides.
  * Upstreamed watch file from Ubuntu.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 28 Jun 2022 23:10:20 -0500

libqtxdg (3.9.1-1) experimental; urgency=medium

  * New upstream release (Closes: #1013334).
  * Add back symbols file.
  * Update install file.
  * Add my name to Uploaders.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 27 Jun 2022 22:28:56 -0500

libqtxdg (3.8.0-2) experimental; urgency=medium

  * Fix upstream metadata.
  * Add Rules-Requires-Root: no.
  * Remove unnecessary -Wl,--as-needed.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 13 Feb 2022 23:24:53 +0800

libqtxdg (3.8.0-1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream version 3.8.0

  [ S. 7 ]
  * Update copyright
  * Bump Standards to 4.6.0 (no changes)
  * Refresh debian/libqt5xdg3.symbols file.
  * Refresh debian/libqt5xdgiconloader3.symbols file
  * debian/libqt5xdg3.install: install lxqt-qtxdg.conf and qtxdg.conf.
  * Update changelog

  [ Andrew Lee (李健秋) ]
  * Update debian/copyright.
  * Use debhelper-compat = 13, no changes needed.
  * Rework on symbols for i386.
  * debian/rules: Add cmake fix to make reprotest happy.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 11 Jan 2022 15:09:23 +0800
