=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: libqtxdg
-Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libmagic-dev,
                libqt5svg5-dev,
-               lxqt-build-tools (>= 0.9.0),
+               lxqt-build-tools (>= 0.10.0),
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.1
-Vcs-Browser: https://phab.lubuntu.me/source/libqtxdg/
-Vcs-Git: https://phab.lubuntu.me/source/libqtxdg.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/lxqt-team/libqtxdg
+Vcs-Git: https://salsa.debian.org/lxqt-team/libqtxdg.git
 Homepage: https://github.com/lxqt/libqtxdg
 
 Package: libqt5xdg3
@@ -89,6 +89,7 @@
          ${shlibs:Depends}
 Description: Tools for QtXdg
  This package provide some tools for qtxdg:
+ .
   * qtxdg-desktop-file-start - QtXdg XdgDesktopFile start Tester
   * qtxdg-iconfinder - Find icons the QtXdg way
   * qtxdg-mat - Mime app tool for QtXdg
