=== debian/changelog ===
libqtxdg (3.10.0-2) unstable; urgency=medium

  * Add soversion in install files to prevent accidentally bumping soversion.
  * Add shlibs files.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 12 Dec 2022 00:32:45 +0800

libqtxdg (3.10.0-1) sid; urgency=medium

  [ Palo Kisa ]
  * debian/watch: Fix github uscan processing
  * New upstream version 3.10.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Nov 2022 23:35:40 +0800

libqtxdg (3.9.1-3) sid; urgency=medium

  * debian/watch: fix uscan error.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.
  * debian/rules: link time optimizations enabled. (Closes: #1015514)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 16:13:13 +0800
