=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libqtxdg
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                libmagic-dev,
                libqt5svg5-dev,
-               lxqt-build-tools (>= 0.10.0),
+               lxqt-build-tools (>= 0.12.0~),
                pkg-config,
                qtbase5-private-dev,
                qttools5-dev,
