=== debian/changelog ===
libqtxdg (3.11.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jul 2023 14:22:58 -0700

libqtxdg (3.11.0-0.1~S7) bookworm; urgency=medium

  * New upstream version

 -- S.7 <severusseptimius7@gmail.com>  Sat, 20 May 2023 10:59:01 +0300
