=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 #export DH_VERBOSE = 1
 
 export LC_ALL=C.UTF-8
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+
 
 %:
 	dh ${@} --buildsystem cmake
@@ -16,6 +17,6 @@
 		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-# No dbgsym package:
+# No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
