## libqtxdg 3.12.0

=== debian/changelog ===
libqtxdg (3.12.0-1deepin1) unstable; urgency=medium

  * release 3.12.0-1deepin1
  * Add Patch to fix #6480

 -- Mike Chen <chenke@deepin.org>  Tue, 19 Dec 2023 13:49:08 +0800

libqtxdg (3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 29 Nov 2023 00:57:28 +0800

libqtxdg (3.11.0-2) unstable; urgency=medium

  * debian/rules: Drop --fail-missing argument to dh_missing which is now
    default in debhelper 13.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: correct the git Repository url as itʼs
    different from Repository-Browse.
  * debian/rules: suppress blhc error by added ignore-line-regexp.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 09 Sep 2023 14:54:54 +0200

libqtxdg (3.11.0-1) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * use unstable instead of sid in distribution.
  * Change team email to <team+lxqt@tracker.debian.org>.
  * Update d/copyright.

  [ Andrew Lee (李健秋) ]
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 12 Jun 2023 19:33:06 +0200

libqtxdg (3.10.0-1) unstable; urgency=medium

  [ Palo Kisa ]
  * debian/watch: Fix github uscan processing
  * New upstream version 3.10.0

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 22 Nov 2022 23:35:40 +0800

libqtxdg (3.9.1-3) unstable; urgency=medium

  * debian/watch: fix uscan error.
  * Drop C++ symbols according to
    https://wiki.debian.org/UsingSymbolsFiles.
  * debian/rules: link time optimizations enabled. (Closes: #1015514)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 22 Oct 2022 16:13:13 +0800
